> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Sample Anchor Weight

> Set an explicit shared-input weight used by graded inference.



## OpenAPI

````yaml /openapi.json patch /v1/experiments/{experiment_id}/anchors/{anchor_id}
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/experiments/{experiment_id}/anchors/{anchor_id}:
    patch:
      tags:
        - Samples
      summary: Update Sample Anchor Weight
      description: Set an explicit shared-input weight used by graded inference.
      operationId: >-
        update_sample_anchor_weight_v1_experiments__experiment_id__anchors__anchor_id__patch
      parameters:
        - in: path
          name: experiment_id
          required: true
          schema:
            format: uuid
            title: Experiment Id
            type: string
        - in: path
          name: anchor_id
          required: true
          schema:
            format: uuid
            title: Anchor Id
            type: string
        - in: header
          name: Idempotency-Key
          required: true
          schema:
            maxLength: 200
            minLength: 8
            title: Idempotency-Key
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SampleAnchorWeightUpdate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SampleAnchorsResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    SampleAnchorWeightUpdate:
      additionalProperties: false
      properties:
        weight:
          exclusiveMinimum: 0
          maximum: 1000
          title: Weight
          type: number
      required:
        - weight
      title: SampleAnchorWeightUpdate
      type: object
    SampleAnchorsResponse:
      properties:
        anchors:
          items:
            $ref: '#/components/schemas/SampleAnchorOptionResponse'
          title: Anchors
          type: array
      title: SampleAnchorsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SampleAnchorOptionResponse:
      properties:
        count:
          default: 0
          title: Count
          type: integer
        id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Id
        value:
          anyOf:
            - type: string
            - type: 'null'
          title: Value
        weight:
          default: 1
          exclusiveMinimum: 0
          title: Weight
          type: number
      title: SampleAnchorOptionResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````